Skip to main content
GET
/
v1
/
my
/
brand
Get brand identity
curl --request GET \
  --url https://api.nitrosend.com/v1/my/brand \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "account_id": 123,
  "brand_color": "<string>",
  "text_color": "<string>",
  "bg_color": "<string>",
  "font_heading": "<string>",
  "font_body": "<string>",
  "style_notes": "<string>",
  "tone": "<string>",
  "company_description": "<string>",
  "industry": "<string>",
  "example_copy": [
    "<string>"
  ],
  "default_header": {},
  "default_footer": {},
  "default_theme": {},
  "physical_address": "<string>",
  "company_name": "<string>",
  "source_url": "<string>",
  "last_scraped_at": "2023-11-07T05:31:56Z",
  "links": [
    {
      "url": "<string>",
      "icon": "<string>",
      "title": "<string>"
    }
  ],
  "logo": "<string>",
  "complete": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key (nskey_live_...) or JWT token. API key is checked first; if not found, falls back to Devise JWT authentication.

Response

200 - application/json

Brand or null

id
integer
account_id
integer
brand_color
string | null
text_color
string | null
bg_color
string | null
font_heading
string | null
font_body
string | null
style_notes
string | null
tone
string | null
company_description
string | null
industry
string | null
example_copy
string[] | null
default_header
object
default_theme
object
physical_address
string | null
company_name
string | null
source_url
string | null
last_scraped_at
string<date-time> | null
logo
string | null

Logo URL

complete
boolean

True when brand_color and company_name are set

created_at
string<date-time>
updated_at
string<date-time>